package com.pixelai.api.base.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.pixelai.api.base.entity.AcConfig;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author mzl
 * @since 2020-07-09
 */
public interface AcConfigMapper extends BaseMapper<AcConfig> {

    /**
     * 根据名称获取值
     *
     * @param configname
     * @return
     */
    AcConfig findByConfigname(@Param("configname") String configname);

}
