package com.pixelai.api.component.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author gjj
 * @since 2024-10-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="CpLabel", description="")
public class CpLabel implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "标签/分类名")
    private String name;

    @ApiModelProperty(value = "标签等级,1,2,3...(该标签所属层级)")
    private Integer level;

    @ApiModelProperty(value = "父节点id")
    private Integer parentid;

    @ApiModelProperty(value = "标签备注")
    private String remark;

    private Date createtime;

    @ApiModelProperty(value = "排序号")
    private Integer orderNum;

    @ApiModelProperty(value = "模块号")
    private Integer moduleid;

    @ApiModelProperty(value = "状态,“t”有效 “f”删除(如有子节点不可删除该节点)")
    private String state;


}
