package com.pixelai.api.component.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.pixelai.api.component.entity.CpModule;
import com.pixelai.api.component.dao.CpModuleMapper;
import com.pixelai.api.component.service.CpModuleService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author gjj
 * @since 2024-10-26
 */
@Service
public class CpModuleServiceImpl extends ServiceImpl<CpModuleMapper, CpModule> implements CpModuleService {

    @Override
    public List<CpModule> list(CpModule example) {
        return this.list(buildWrapper(example));
    }

    @Override
    public IPage<CpModule> page(CpModule example, IPage page) {
        return this.page(page,buildWrapper(example));
    }

    /**
     * 构建查询
     *
     * @param example
     * @return
     */
    private QueryWrapper<CpModule> buildWrapper(CpModule example) {
        QueryWrapper<CpModule> wrapper     = new QueryWrapper<>();
        return wrapper;
    }

}
