package com.pixelai.api.od.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.pixelai.api.od.entity.OdOrder;
import com.pixelai.api.od.dao.OdOrderMapper;
import com.pixelai.api.od.service.OdOrderService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author gjj
 * @since 2024-11-11
 */
@Service
public class OdOrderServiceImpl extends ServiceImpl<OdOrderMapper, OdOrder> implements OdOrderService {

    @Override
    public List<OdOrder> list(OdOrder example) {
        return this.list(buildWrapper(example));
    }

    @Override
    public IPage<OdOrder> page(OdOrder example, IPage page) {
        return this.page(page,buildWrapper(example));
    }

    /**
     * 构建查询
     *
     * @param example
     * @return
     */
    private QueryWrapper<OdOrder> buildWrapper(OdOrder example) {
        QueryWrapper<OdOrder> wrapper     = new QueryWrapper<>();
        return wrapper;
    }

}
