package com.pixelai.api.pa.dao;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.pixelai.api.pa.entity.PaCreationRelease;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.pixelai.api.pa.vo.PaCreationReleaseVo;
import com.pixelai.api.pa.vo.PaCreationVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author gjj
 * @since 2024-12-05
 */
public interface PaCreationReleaseMapper extends BaseMapper<PaCreationRelease> {
    //分页查询共享的个人作品
    List<PaCreationReleaseVo> findByExample(@Param(Constants.WRAPPER) QueryWrapper<PaCreationReleaseVo> PaCreationReleaseVoQueryWrapper, Page page);
    //查询共享的个人作品
    PaCreationReleaseVo findById(@Param("id") Integer id);

}
