package com.pixelai.api.pa.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDate;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * <p>
 *
 * </p>
 *
 * @author gjj
 * @since 2024-12-04
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="PaConsumption", description="")
@AllArgsConstructor
@NoArgsConstructor
public class PaConsumption implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    private Integer userid;

    @ApiModelProperty(value = "货币id")
    private Integer currencyId;

    @ApiModelProperty(value = "变动类型")
    private String type;

    @ApiModelProperty(value = "加减")
    private String addOrSub;

    @ApiModelProperty(value = "数值")
    private Integer value;

    @ApiModelProperty(value = "创建时间")
    private Date createtime;

    @ApiModelProperty(value = "服务id")
    private Integer serviceId;

    @ApiModelProperty(value = "描述")
    private String description;

    public PaConsumption(Integer userid,String addOrSub,Integer value,Integer serviceId,String type,String description){
        this.userid=userid;
        this.addOrSub=addOrSub;
        this.value=value;
        this.serviceId=serviceId;
        this.type=type;
        this.createtime=new Date();
        this.description=description;
    }

    public PaConsumption(Integer userid,String addOrSub,Integer value,String type,String description){
        this.userid=userid;
        this.addOrSub=addOrSub;
        this.value=value;
        this.type=type;
        this.createtime=new Date();
        this.description=description;
    }

}
