package com.pixelai.api.pa.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author gjj
 * @since 2024-12-05
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="PaRecommend", description="")
public class PaRecommend implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    private Integer number;

    private Integer creationId;

    private Integer userId;

    private Date createtime;

    private String state;

    private Integer serviceId;

    @ApiModelProperty(value = "原图")
    private Integer photoSourceId;

    @ApiModelProperty(value = "效果图")
    private Integer photoTargetId;


}
