package com.pixelai.api.pa.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.pixelai.api.pa.entity.PaRecommend;
import com.baomidou.mybatisplus.extension.service.IService;
import com.pixelai.api.pa.vo.PaCreationVo;
import com.pixelai.api.pa.vo.PaRecommendVo;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author gjj
 * @since 2024-12-05
 */
public interface PaRecommendService extends IService<PaRecommend> {

    /**
     * 条件查询
     * @param example
     * @return
     */
    List<PaRecommend> list(PaRecommend example);

    /**
     * 分页查询
     * @param example
     * @param page
     * @return
     */
    IPage<PaRecommend> page(PaRecommend example,IPage page);
    /**
     * 分页查询
     * @param example
     * @param page
     * @return
     */
    Page<PaRecommendVo> findByPage(PaRecommendVo example, Page page);

}
