package com.pixelai.api.pa.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.pixelai.api.pa.entity.PaVip;
import com.pixelai.api.pa.dao.PaVipMapper;
import com.pixelai.api.pa.service.PaVipService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author gjj
 * @since 2024-12-04
 */
@Service
public class PaVipServiceImpl extends ServiceImpl<PaVipMapper, PaVip> implements PaVipService {

    @Override
    public List<PaVip> list(PaVip example) {
        return this.list(buildWrapper(example));
    }

    @Override
    public IPage<PaVip> page(PaVip example, IPage page) {
        return this.page(page,buildWrapper(example));
    }

    /**
     * 构建查询
     *
     * @param example
     * @return
     */
    private QueryWrapper<PaVip> buildWrapper(PaVip example) {
        QueryWrapper<PaVip> wrapper     = new QueryWrapper<>();
        return wrapper;
    }

}
