package com.pixelai.api.picture.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

@Configuration
@ConfigurationProperties(prefix = "volcengine")
@Data
public class VolcengineExConfig {

    private String AccessKeyID;
    private String SecretAccessKey;
    private String endpoint;
    private String service;
    private String region;
    private String path;
    private String schema;
    private String action;
    private String version;

}
