package com.pixelai.api.user.vo;

import com.pixelai.api.user.entity.AcUser;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author mzl.
 */
@Data
@ApiModel
public class LoginSuccessVo {

    @ApiModelProperty("后台用户信息")
    private AcUser user;

    @ApiModelProperty("登录令牌")
    private String token;

    public LoginSuccessVo() {
    }

    public LoginSuccessVo(AcUser user, String token) {
        this.user = user;
        this.token = token;
    }
}
