package com.pixelai.utils;

import cn.hutool.http.HttpRequest;
import cn.hutool.http.HttpResponse;
import cn.hutool.http.HttpUtil;
import cn.hutool.http.Method;
import cn.hutool.json.JSONObject;
import cn.hutool.json.JSONUtil;

import java.util.HashMap;
import java.util.Map;

public class WxLoginUtil {
//    //正式微信小程序id
//    private static final String appid="wx85103f28f846d0a9";
//    //正式微信小程序secret
//    private static final String secret="054ee874be13a089ff7995108cb6a2ab";
//    //测试微信小程序id
    private static final String appid="wx5eb63c2154c5dc89";
//    //测试微信小程序secret
    private static final String secret="b051be166c8dde394286dd229b32ac9b";
    private static final String BASE_URL = "https://api.weixin.qq.com";
    /**
     * 获取手机号令牌token
     * @return
     */
    public static String getAccessToken() {
        String url = "/cgi-bin/token";
        Map<String, Object> params = new HashMap<>();
        params.put("grant_type", "client_credential");
        params.put("appid", appid);
        params.put("secret", secret);
        String token = null;
//        try {
            String resStr = HttpUtil.get(BASE_URL + url, params);
            token = (String) JSONUtil.parseObj(resStr).get("access_token");
//        } catch (Exception e) {
//            throw new BaseException(BasicEnum.GET_TOKEN_ERROR);
//        }
        return token;
    }

    /**
     * 获取手机号
     * @param phoneCode    手机号获取凭证（前端登录传入的）
     * @param accessToken 手机号接口调用凭证
     * @return
     */
    public static String getPhone(String phoneCode, String accessToken) {
        String url = "/wxa/business/getuserphonenumber";
        Map<String, Object> bodys = new HashMap<>();
        bodys.put("code", phoneCode);
        String phone = null;
//        try {
            HttpRequest request = HttpUtil.createRequest(Method.POST, BASE_URL + url+"?access_token="+accessToken);
            request.body(JSONUtil.toJsonStr(bodys));
            HttpResponse response = request.execute();
            String resStr =response.body();
            Object phoneInfo = JSONUtil.parseObj(resStr). get("phone_info");
            phone = JSONUtil.parseObj(phoneInfo).getStr("phoneNumber");
            return phone;
//        } catch (Exception e) {
//            throw new BaseException(BasicEnum.GET_PHONE_ERROR);
//        }

    }


    /**
     * 根据code获取订单在小程序的唯一标识
     *
     * @param code
     * @return
     */
    public static String getOpenid(String code) {
        String url = "/sns/jscode2session";
        Map<String, Object> params = new HashMap<>();
        params.put("appid", appid);
        params.put("secret", secret);
        params.put("js_code", code);
        params.put("grant_type", "authorization_code");
        JSONObject resObj = null;
        Object errcode = null;
//        try {
            HttpRequest request = HttpUtil.createRequest(Method.POST, BASE_URL + url).form(params);
            HttpResponse response = request.execute();
            resObj = JSONUtil.parseObj(response.body());
            errcode = resObj.get("errcode");
//        } catch (HttpException e) {
//            throw new BaseException(BasicEnum.SYSYTEM_FAIL);
//        }
//        log.info("resObj: {}", resObj);
//        if (errcode != null) {
//            throw new BaseException(BasicEnum.GET_OPENID_ERROR);
//        }
        return (String) resObj.get("openid");
    }
}
