package com.pixelai.api.base.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.pixelai.api.base.entity.AcPage;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author mzl
 * @since 2020-07-09
 */
public interface AcPageService extends IService<AcPage> {

    /**
     * 条件查询
     *
     * @param example
     * @return
     */
    List<AcPage> list(AcPage example);

    /**
     * 分页查询
     *
     * @param example
     * @param page
     * @return
     */
    IPage<AcPage> page(AcPage example, IPage page);

}
