package com.pixelai.api.component.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author gjj
 * @since 2024-10-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="CpModule", description="")
public class CpModule implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "模块名,栏目类型，物品分类...")
    private String moduleName;

    @ApiModelProperty(value = "模块描述")
    private String moduleRemark;

    @ApiModelProperty(value = "模块层级,该模块分类最大层级")
    private Integer moduleLevel;

    @ApiModelProperty(value = "状态,“t”有效 “f”删除(如有子节点不可删除该节点)")
    private String state;


}
