package com.pixelai.api.component.vo;

import com.pixelai.api.component.entity.CpAttachment;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author gjj.
 */
@Data
@ApiModel
public class CpAttachmentVo extends CpAttachment {

    @ApiModelProperty("模块")
    private String moduleName;

    @ApiModelProperty("标签")
    private String labelName;

    @ApiModelProperty("内容")
    private String text;

    @ApiModelProperty("失败原因")
    private String reason;

    @ApiModelProperty("上传者")
    private String uploadName;

    @ApiModelProperty("图片状态")
    private String creationState;

}
