package com.pixelai.api.group.dao;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.pixelai.api.group.entity.AcModule;
import com.pixelai.api.group.vo.AcModuleVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author mzl
 * @since 2020-07-09
 */
public interface AcModuleMapper extends BaseMapper<AcModule> {


    /**
     * 条件查询
     *
     * @param queryWrapper
     * @return
     */
    List<AcModuleVo> findByExample(@Param(Constants.WRAPPER) QueryWrapper<AcModuleVo> queryWrapper);

    /**
     * 分页条件查询
     *
     * @param queryWrapper
     * @param page
     * @return
     */
    List<AcModuleVo> findByExample(@Param(Constants.WRAPPER) QueryWrapper<AcModuleVo> queryWrapper, Page page);

}
