package com.pixelai.api.log.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author mzl
 * @since 2020-07-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "日志", description = "")
public class AcLog implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "操作人Id")
    private Integer acoperator;

    @ApiModelProperty(value = "账号名")
    private String username;

    @ApiModelProperty(value = "真实姓名")
    private String realname;

    @ApiModelProperty(value = "所属角色组Id")
    private String grouptype;

    @ApiModelProperty(value = "操作人角色Id")
    private String usergroup;

    @ApiModelProperty(value = "ip地址")
    private String ipaddress;

    @ApiModelProperty(value = "操作对应功能")
    private String action;

    @ApiModelProperty(value = "操作类型")
    private String actype;

    @ApiModelProperty(value = "创建时间")
    private Date createtime;

    @ApiModelProperty(value = "结束时间")
    private Date endtime;

    @ApiModelProperty(value = "操作描述")
    private String description;

    @ApiModelProperty(value = "操作传入参数(删除时为空)")
    private String params;

    @ApiModelProperty(value = "操作结果")
    private String acresult;

    @ApiModelProperty(value = "异常信息")
    private String error;


}
