package com.pixelai.api.log.vo;

import com.pixelai.api.pa.entity.PaServices;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.models.auth.In;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class AiStatisticsVo  {
    @ApiModelProperty("应用服务")
    private String ability;
    @ApiModelProperty("成功数")
    private Integer successnNum;
    @ApiModelProperty("失败数")
    private Integer failNum;
    @ApiModelProperty("消费金额")
    private Integer consume;
    @ApiModelProperty("时间")
    private String time ;

    public AiStatisticsVo(String ability,Integer successnNum,Integer failNum){
        this.ability=ability;
        this.successnNum=successnNum;
        this.failNum=failNum;
    }
    public AiStatisticsVo(String time,Integer consume){
        this.time=time;
        this.consume=consume;
    }
}
