package com.pixelai.api.pa.dao;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.pixelai.api.pa.entity.PaCollection;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.pixelai.api.pa.vo.PaCollectionVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author gjj
 * @since 2024-12-05
 */
public interface PaCollectionMapper extends BaseMapper<PaCollection> {

    List<PaCollectionVo> findByExample(@Param(Constants.WRAPPER)QueryWrapper<PaCollectionVo> paCollectionVoQueryWrapper, Page page);
}
