package com.pixelai.api.pa.dao;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.pixelai.api.component.vo.CpPhotoVo;
import com.pixelai.api.pa.entity.PaPictureWall;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.pixelai.api.pa.vo.PaPictureWallVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author gjj
 * @since 2025-01-16
 */
public interface PaPictureWallMapper extends BaseMapper<PaPictureWall> {
    List<PaPictureWallVo> findById(@Param("labelId")Integer labelId);

    List<PaPictureWallVo> findByExample(@Param(Constants.WRAPPER)QueryWrapper<PaPictureWallVo> paPictureWallVoQueryWrapper, Page page);
}
