package com.pixelai.api.pa.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author gjj
 * @since 2025-01-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="PaPictureWall", description="")
public class PaPictureWall implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "上传者id")
    private Integer userid;

    @ApiModelProperty(value = "图片名")
    private String name;

    @ApiModelProperty(value = "水印图")
    private String watermarkPath;

    @ApiModelProperty(value = "图片大小")
    private String size;

    @ApiModelProperty(value = "创建时间")
    private Date createtime;

    @ApiModelProperty(value = "t有效，f无效")
    private String state;

    private Integer cpLabelId;

    private Integer serviceId;

    @ApiModelProperty(value = "原图")
    private String originalPath;

    @ApiModelProperty(value = "排序")
    private Integer number;

    @ApiModelProperty(value = "价格")
    private Integer price;

    public String consume(){
        return "您购买原图消费"+this.price+"钻石";
    }
}
