package com.pixelai.api.pa.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author gjj
 * @since 2024-12-04
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="PaServices", description="")
public class PaServices implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    private String name;

    private String icon;

    private String type;

    private Integer position;

    private String api;

    private Integer publish;

    private Integer price;

    private Date createtime;

    private String state;

    private String tips;

    private String exampleUrl;

    private Integer manufacturers;

    public String consume(){
        return "您使用"+this.name+"服务消费"+this.price+"钻石";
    }
}
