package com.pixelai.api.pa.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.pixelai.api.pa.entity.PaCreationRelease;
import com.baomidou.mybatisplus.extension.service.IService;
import com.pixelai.api.pa.vo.PaCreationReleaseVo;
import com.pixelai.api.pa.vo.PaCreationVo;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author gjj
 * @since 2024-12-05
 */
public interface PaCreationReleaseService extends IService<PaCreationRelease> {

    /**
     * 条件查询
     * @param example
     * @return
     */
    List<PaCreationRelease> list(PaCreationRelease example);

    /**
     * 分页查询
     * @param example
     * @param page
     * @return
     */
    IPage<PaCreationRelease> page(PaCreationRelease example,IPage page);
    /**
     * 分页查询
     * @param example
     * @param page
     * @return
     */
    Page<PaCreationReleaseVo> findByPage(PaCreationReleaseVo example, Page page);
}
