package com.pixelai.api.pa.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.pixelai.api.pa.entity.PaCreation;
import com.baomidou.mybatisplus.extension.service.IService;
import com.pixelai.api.pa.vo.PaCreationVo;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author gjj
 * @since 2024-12-05
 */
public interface PaCreationService extends IService<PaCreation> {

    /**
     * 条件查询
     * @param example
     * @return
     */
    List<PaCreation> list(PaCreation example);

    /**
     * 分页查询
     * @param example
     * @param page
     * @return
     */
    IPage<PaCreation> page(PaCreation example,IPage page);

    /**
     * 分页查询
     * @param example
     * @param page
     * @return
     */
    Page<PaCreationVo> findByPage(PaCreationVo example, Page page);

}
