package com.pixelai.api.pa.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.pixelai.api.pa.entity.PaOrder;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author gjj
 * @since 2025-01-19
 */
public interface PaOrderService extends IService<PaOrder> {

    /**
     * 条件查询
     * @param example
     * @return
     */
    List<PaOrder> list(PaOrder example);

    /**
     * 分页查询
     * @param example
     * @param page
     * @return
     */
    IPage<PaOrder> page(PaOrder example, IPage page);

    /**
     * 订单号查询订单
     * @param outTradeNo
     * @return
     */
    PaOrder getOrderByTradeNo(String outTradeNo);
}
