package com.pixelai.api.pa.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.pixelai.api.pa.entity.PaPictureWall;
import com.baomidou.mybatisplus.extension.service.IService;
import com.pixelai.api.pa.vo.PaPictureWallVo;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author gjj
 * @since 2025-01-16
 */
public interface PaPictureWallService extends IService<PaPictureWall> {

    /**
     * 条件查询
     * @param example
     * @return
     */
    List<PaPictureWall> list(PaPictureWall example);

    /**
     * 分页查询
     * @param example
     * @param page
     * @return
     */
    IPage<PaPictureWall> page(PaPictureWall example,IPage page);

    IPage<PaPictureWallVo> findByPage(PaPictureWallVo example, Page page);
}
