package com.pixelai.api.pa.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.pixelai.api.pa.entity.PaServiceOption;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author gjj
 * @since 2024-12-08
 */
public interface PaServiceOptionService extends IService<PaServiceOption> {

    /**
     * 条件查询
     * @param example
     * @return
     */
    List<PaServiceOption> list(PaServiceOption example);

    /**
     * 分页查询
     * @param example
     * @param page
     * @return
     */
    IPage<PaServiceOption> page(PaServiceOption example,IPage page);

}
