package com.pixelai.api.user.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author gjj
 * @since 2024-11-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="用户信息表", description="")
public class MbMember implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "ac_user用户表")
    private Integer userid;

    @ApiModelProperty(value = "级别")
    private Integer level;

    @ApiModelProperty(value = "头像")
    private String picture;

    @ApiModelProperty(value = "邮箱")
    private String mail;

    @ApiModelProperty(value = "性别,男：1 女：0")
    private Integer gender;

    @ApiModelProperty(value = "身份证")
    private String idcard;

    @ApiModelProperty(value = "电话号")
    private String phone;

    @ApiModelProperty(value = "注册时间")
    private Date registerTime;

    @ApiModelProperty(value = "最后登录时间")
    private Date loginTime;

    @ApiModelProperty(value = "真实姓名")
    private String realName;

    @ApiModelProperty(value = "昵称")
    private String nickName;


}
