package com.pixelai.api.user.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 注册考生信息
 *
 * @Author mzl.
 */
@Data
@ApiModel
public class RegisterExamineeVo {

    @ApiModelProperty("订单名")
    private String username;

    @ApiModelProperty("真实姓名")
    private String realname;

    @ApiModelProperty("关联角色表id")
    private Integer acgroup;

    @ApiModelProperty("订单类型")
    private Integer usertype;

    @ApiModelProperty("电话")
    private String phone;

    @ApiModelProperty("身份证类型")
    private String identitytype;

    @ApiModelProperty("身份证号")
    private String identitynum;

    @ApiModelProperty("中考证号")
    private String registration;

}
